@import '../node_modules/@angular/material/theming';
@include mat-core();

@mixin mlm-button-active-link($theme) {
    $accent: map-get($theme, accent);

    .mlm-active-link {
        border-bottom: 3px solid !important;
        border-bottom-left-radius: 0 !important;
        border-bottom-right-radius: 0 !important;
        border-color: mat-color($accent, darker) !important;
        margin-bottom: -3px !important;
    }
}

@mixin mlm-color-more($theme) {
    $primary: map-get($theme, primary);
    $accent: map-get($theme, accent);

    .mlm-primary-darker {
        background: mat-color($primary, darker) !important;
    }
}

$mlm-primary: mat-palette($mat-blue-grey, 600, 500, 700);
$mlm-accent: mat-palette($mat-yellow, 800, 700, 900);
$mlm-warn: mat-palette($mat-red, 700);

$mlm-dark-theme: mat-dark-theme($mlm-primary, $mlm-accent, $mlm-warn);
$mlm-light-theme: mat-light-theme($mlm-primary, $mlm-accent, $mlm-warn);


@include mlm-color-more($mlm-light-theme);
@include angular-material-theme($mlm-light-theme);
@include mlm-button-active-link($mlm-light-theme);

.mlm-dark-theme {
    @include angular-material-theme($mlm-dark-theme);

    .dark-theme-stepper-icon {
        color: black;
    }
}

